function [A,c]=trace_graphique(nomd,nomfig)

% permet de tracer les graphiques et recalculer la double-vie  partir des
% donnes data
% 
% * nomd : nom du fichier de donnes sans l'extension mat.
% * nomfig absent : affichage seul sinon : cration des graphiques au
% format eps
%
% Exemples : 
%
% trace_graphique('data1');
% trace_graphique('data2');

close all;
if nargin<=1||isempty(nomfig)
    choix=1;
else
    choix=0;
end
load([nomd,'.mat']);
P=polyfit(X,Y,1);
Q=polyval(P,X);
c0=log10(2)/P(1);
k=log10(2)/(18/12);
Z=k*(X-X(1))+Y(1);
if length(X)<=20
    d='*';
else
    d='.';
end
if choix==0
    plot(X,Y,d,X,Q,X,Z,'-.');
    legend('Donnes exprimentales','lois de Moore','doublement tous les 18 mois','location','NorthWest');
    xlabel('annes')
    ylabel('logarithme dcimal du nombre de transistors');
    print('-depsc2',[nomfig,'loimoorea']);
    figure;
end
semilogy(X,10.^Y,d,X,10.^Q,X,10.^Z,'-.');
legend('Donnes exprimentales','lois de Moore','doublement tous les 18 mois','location','NorthWest');
xlabel('annes')
ylabel('nombre de transistors');
if choix==0
    print('-depsc2',[nomfig,'loimooreb']);
    close all;
end
if nargout>=1
    c=c0; 
    A=P(1);
end
if choix
   disp(['le nombre double toutes les ',num2str(c0),' annes .']);  
end